<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
	xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
	extension-element-prefixes="java util"
	exclude-result-prefixes="java util gsf">


  <xsl:template name="additionalHeaderContent-site">
    <!-- override the cssTheme from interfaceConfig -->
    <link rel="stylesheet" href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.10/themes/humanity/jquery-ui.css" type="text/css"/>
    <xsl:call-template name="berryBasketHeadTags"/>
    <xsl:call-template name="PeiJonesBackgroundWrapperSite"/>
    
    <xsl:variable name="url">
      <xsl:text>sites/</xsl:text>
      <xsl:value-of select="$siteName"/>
    </xsl:variable>
    <link href="{$url}/style/custom.css" rel="stylesheet" type="text/css"/>
    <link href="{$url}/script/image-annotator/css/annotation.css" rel="stylesheet" type="text/css"/>
    <!--
	<link href="{$url}/style/pei-jones-background.css" rel="stylesheet" type="text/css"/>
    -->
    <link href="{$url}/script/text-annotator/annotator.min.css" rel="stylesheet" type="text/css"/>
    <gsf:script src="{$url}/script/image-annotator/js/jquery.annotate2.js"/>
    <gsf:script src="{$url}/script/gsajax-min.js"/>
    <gsf:script src="{$url}/script/setup-features.js"/>
    <!--
	gsf:script src="{$url}/script/text-annotator/annotator-full.min.js"/>
    -->
    <script text="text/javascript">
      <xsl:text disable-output-escaping="yes">$(document).ready(function(){
      /* hide cover image div */
      var found = $(document).find("#coverImage");
      
      if(found.length != 0){
      var coverImageDiv = found[0];
      $(coverImageDiv).hide();
      }
      });</xsl:text>
    </script>
    <!--	  <script type="text/javascript">
	dynamic_metadata_list = false;
	</script>-->
    
  </xsl:template>
  
 <xsl:template name="PeiJonesBackground">
          <style>


            body {
              background-image: url(sites/<xsl:value-of select="$site_name"/>/images/background.jpg);
              background-repeat: no-repeat;
              background-position: center top;
              background-color: #2d2d2d;
            }


            #containerXXX {
              max-width: 980px;
            }

            .ui-widget-header {
              background: url(sites/<xsl:value-of select="$site_name"/>/images/pei-jones-banner-bg.png);
                          repeat-x scroll left top #f1ce28;
            }

            .ui-widget-content {
               color: #888888;
            }

	    .ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default {
/*	       background: url("images/ui-bg_highlight-hard_15_459e00_1x100.png") repeat-x scroll 50% 50% #459E00; */
/*	       background: url(interfaces/<xsl:value-of select="$interface_name"/>/xxstyle/themes/main/images/ui-bg_highlight-hard_15_459e00_1x100.png) repeat-x scroll 50% 50% #a0a0a0;  */

	       background: none repeat-x scroll 50% 50% #a0a0a0; 
/*	       border: 1px solid #327E04; */
	       border: 1px solid #808080;
	       color: #FFFFFF;
	       font-weight: bold;
	    }

	    .ui-widget-header {
	       border: 1px solid #808080;
            }

	    .ui-state-active a, .ui-state-active a:link, .ui-state-active a:visited {
	       color: #000000;
	       /* text-decoration: none; */
	    }



		</style>
	</xsl:template>



 <xsl:template name="PeiJonesBackgroundWrapperSite">

   <xsl:variable name="url">
     <xsl:text>sites/</xsl:text>
     <xsl:value-of select="$siteName"/>
   </xsl:variable>
   
    <link type="text/css" rel="stylesheet" href="{$url}/wrapper-style/default.css" media="all" />
    <!--[if IE]><link type="text/css" rel="stylesheet" href="{$url}/wrapper-style/large.css" media="all" /><![endif]-->
    <link type="text/css" rel="stylesheet" href="{$url}/wrapper-style/print.css" media="print" />
    <link rel="shortcut icon" type="image/ico" href="{$url}/wrapper-style/favicon.ico" />



    <style>
	.ui-widget-header {
    	    background: #231814 url(<xsl:value-of select="$url"/>/wrapper-style/images/peijones-background-topline.png) no-repeat top left;

      }


      input, textarea {
        padding: 0px;
      }


      table#classifiernodelist {
          text-transform: inherit;
      }

      .metaTableCellName {
	  background: none repeat scroll 0 0 #FDDC75;
      }


    </style>

    <gsf:script language="JavaScript" src="{$url}/wrapper-style/script.js"></gsf:script>


 </xsl:template>

 <xsl:template name="PeiJonesBackground2014">
	
	<link type="text/css" rel="stylesheet" href="http://peitehurinuijones.co.nz/temp/default.css" media="all" />
	<!--[if IE]><link type="text/css" rel="stylesheet" href="large.css" media="all" /><![endif]-->
	<link type="text/css" rel="stylesheet" href="http://peitehurinuijones.co.nz/temp/print.css" media="print" />
	<link rel="shortcut icon" type="image/ico" href="http://peitehurinuijones.co.nz/temp/favicon.ico" />


          <style>
            body {
              background-image: url(sites/<xsl:value-of select="$site_name"/>/images/background.jpg);
              background-repeat: no-repeat;
              background-position: center top;
              background-color: #2d2d2d;
            }

            #containerXXX {
              max-width: 980px;
            }

            #topArea {
              margin: 0px auto 0;
              /* max-width: 970px; */
            }

            .ui-widget-header {
              background: url(sites/<xsl:value-of select="$site_name"/>/images/pei-jones-banner-bg.png);
                          repeat-x scroll left top #f1ce28;
            }

            .ui-widget-content {
               color: #888888;
            }

	    .ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default {
/*	       background: url("images/ui-bg_highlight-hard_15_459e00_1x100.png") repeat-x scroll 50% 50% #459E00; */
/*	       background: url(interfaces/<xsl:value-of select="$interface_name"/>/xxstyle/themes/main/images/ui-bg_highlight-hard_15_459e00_1x100.png) repeat-x scroll 50% 50% #a0a0a0;  */

	       background: none repeat-x scroll 50% 50% #a0a0a0; 
/*	       border: 1px solid #327E04; */
	       border: 1px solid #808080;
	       color: #FFFFFF;
	       font-weight: bold;
	    }

	    .ui-widget-header {
	       border: 1px solid #808080;
            }

	    .ui-state-active a, .ui-state-active a:link, .ui-state-active a:visited {
	       color: #000000;
	       /* text-decoration: none; */
	    }
		</style>
	</xsl:template>





	<xsl:template name="UserTrackerScripts">
		<script type="text/javascript">
			<xsl:text disable-output-escaping="yes">
				$(window).load(function()
				{
					if(gs.cgiParams.d &amp;&amp; gs.userInformation &amp;&amp; gs.userInformation.editEnabled == "true")
					{
						var statusBarDiv = $("&lt;div&gt;");
						$("#gs_content").prepend(statusBarDiv);
						var statusBar = new StatusBar(statusBarDiv[0]);
						var statusUsernameMap = new Array();
						
						var recordActionFunction = function()
						{
							var action = gs.userInformation.currentAction;
							if(!action)
							{
								action = "viewingPage";
							}
							$.ajax(gs.xsltParams.library_name + "?a=g&amp;rt=ro&amp;s=RecordUserAction&amp;s1.site=" + gs.xsltParams.site_name + "&amp;s1.collection=" + gs.cgiParams.c + "&amp;s1.oid=" + gs.cgiParams.d + "&amp;s1.username=" + gs.userInformation.username + "&amp;s1.action=" + action);

							if(action == "savingNote" &amp;&amp; gs.userInformation.saveSentOnce)
							{
								gs.userInformation.currentAction = "viewingPage";
								gs.userInformation.saveSentOnce = false;
							}
							else if(action == "savingNote")
							{
								gs.userInformation.saveSentOnce = true;
							}
						}
						setInterval(recordActionFunction, 5000);
						recordActionFunction();
		
						var userTrackerFunction = function(url)
						{
							$.ajax(url)
							.success(function(response)
							{
								statusBar.clear();
								var xml = $.parseXML(response);
								$(xml).find("userList user").each(function()
								{
									var username = $(this).attr("username");
									if(username == gs.userInformation.username)
									{
										return;
									}

									var statusString;
									if($(this).attr("action") == "viewingPage")
									{
										statusString = "User " + $(this).attr("username") + " is currently viewing this page";
									}
									else if($(this).attr("action") == "addingNote")
									{
										statusString = "User " + $(this).attr("username") + " is currently adding a note";
									}
									else if($(this).attr("action") == "editingNote")
									{
										statusString = "User " + $(this).attr("username") + " is currently editing a note";
									}
									else if($(this).attr("action") == "savingNote")
									{
										gs.userInformation.reloadRequired = true;
										statusString = "User " + $(this).attr("username") + " has saved a note";
									}

									if(gs.userInformation.reloadRequired)
									{
										statusString += ", a note has been added or changed, please click &lt;a href=\"javascript:location.reload();\"&gt;here&lt;/a&gt; to reload the page";
									}
									statusBar.addStatus(statusString);
								});
							});
						}
						var getURL = gs.xsltParams.library_name + "?a=g&amp;rt=ro&amp;s=GetActivityOnPage&amp;s1.site=" + gs.xsltParams.site_name + "&amp;s1.collection=" + gs.cgiParams.c + "&amp;s1.oid=" + gs.cgiParams.d;
						setInterval(function(){userTrackerFunction(getURL);}, 10000);
						userTrackerFunction(getURL);
					}
				});
			</xsl:text>
		</script>
	</xsl:template>

	<!-- redefine this to only include the buttons we want, and don't include the styling -->
	<xsl:template name="home-help-preferences">
	    <xsl:call-template name="PrefsLink"/>
	    <xsl:call-template name="HelpLink"/>
	    <span id="userMenuButton"><xsl:call-template name="LoginoutLink"/></span>
	</xsl:template>	

	<!-- redefine to link to google doc -->
	<xsl:template name="HelpLink">
	  <!-- help -->
	  <a><xsl:attribute name="href"><xsl:value-of select="$library_name"/>/collection/<xsl:value-of select="/page/pageResponse/collection/@name"/>/page/html?url=https://docs.google.com/document/d/18PinB6uwdOvwzPi8foIV0hF4G8eNVYJ5XyqYL_k7ij0/edit?usp=sharing</xsl:attribute>
	    <xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_tip')"/></xsl:attribute>
	    <span id="helpButton"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_b')"/></span>
	  </a>
	</xsl:template>
	
</xsl:stylesheet>
